import { EventEmitter } from "@angular/core";
import { ServiceWizardAnswer } from "@colijnit/transactionapi/build/model/service-wizard-answer";
export declare class QuestionAnswerComponent {
    question: string;
    answers: ServiceWizardAnswer[];
    qaResultChange: EventEmitter<QaResult>;
    wizardFinished: EventEmitter<boolean>;
    showClass(): boolean;
    selectedAnswer: string;
    questionAnswered: boolean;
    allQuestionsAnswered: boolean;
    qaResult: QaResult[];
    onSelectAnswer(selectedAnswer: ServiceWizardAnswer): void;
    onChangeAnswer(changedAnswer: ServiceWizardAnswer): void;
    onQaResultChange(newVResult: QaResult): void;
    onWizardFinished(wizardFinished: boolean): void;
}
export interface QaResult {
    id: number;
    questionText: string;
    answerText: string;
    causeCode: string;
    serviceType: string;
}
